#if !defined(AFX_GOSEVENTPANE_H__66ACA559_4F3A_4DFA_BA96_450265188EA9__INCLUDED_)
#define AFX_GOSEVENTPANE_H__66ACA559_4F3A_4DFA_BA96_450265188EA9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// GosEventPane.h : header file

class CTimeFrame;
//

/////////////////////////////////////////////////////////////////////////////
// CGosEventPane view

class CGosEventPane : public CView
{
protected:
	CGosEventPane();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CGosEventPane)

// Attributes
public:
	CTimeFrame *m_pParentFrame;
	bool m_fReady;


	static char dbgmsg[4][256];
	static CView *pDebugView;
	static void SetDbgMsg(int msgno, char *msg ) { strcpy( dbgmsg[msgno], msg ); if( pDebugView ) pDebugView->Invalidate(); }

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGosEventPane)
	public:
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CGosEventPane();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CGosEventPane)
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GOSEVENTPANE_H__66ACA559_4F3A_4DFA_BA96_450265188EA9__INCLUDED_)
